Subject: Re: [PATCH 3/3] percpu: use percpu allocator on UP too

From: Pekka Enberg <[email-masked]>
Date: Sat, 18 Sep 2010 20:47:57 +0300

On 10.9.2010 17.59, Tejun Heo wrote:
> On 09/08/2010 11:17 AM, Tejun Heo wrote:
>> On 09/04/2010 11:47 AM, Tejun Heo wrote:
>>> Hello,
>>>
>>> On 09/04/2010 08:54 AM, Pekka Enberg wrote:
>>>> Is this going into some public append-only branch I could
>>>> cherry-pick the changeset from to my 'slub/cleanups' branch?
>>>
>>> I'll put it into percpu#for-next once Linus pulls in the currently
>>> pending set of fixes.  I'll let you know.
>>
>> Alright, now in percpu#for-next tree.
>>
>>   git://git.kernel.org/pub/scm/linux/kernel/git/tj/percpu.git for-next
>>
>> The branch currenly contains only those three patches, so please feel
>> free to pull from it.
>
> Branch updated to fix build for s390 and add missing memory clearing
> for km- allocator.  You'll at least want to pull upto commit
> fc1481a956181d0360d3eb129965302489895a1b.

I cherry-picked patches from the branch and reverted SLUB bandaid. SLUB 
works fine here on UP now so I'm putting it in linux-next. Thanks Tejun!

			Pekka